Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls
Class ControlContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BackingContext, JspContentContext, PresentationContext

public abstract class ControlContext
extends Object
implements Serializable

Base class for all context classes. The control framework provides control context of a given type (a subclass) for each control. Applications may use the HTTP request object to retrive a given control context object.

See Also:
  Serialized Form

Field Summary
`protected static Debug` | `debug`

Constructor Summary
`protected` | `ControlContext(com.bea.netuix.nf.UIControl control)` Creates a `ControlContext` instance.

Method Summary
`static ControlContext` | `getContextFromRequest(Class type, HttpServletRequest request)` Returns `ControlContext` for the given HTTP request.
`protected String` | `getContextKey()` Returns the context key.
`protected com.bea.netuix.nf.UIControl` | `getControl()` Returns the control associated with this context.
`protected static String` | `getRequestKey(Class type)` Returns a key for given control context.
`String` | `getUniqueId()` Returns a unique ID for this context.
`static void` | `removeContextFromRequest(ControlContext context, HttpServletRequest request)` Removes the given `ControlContext` from the given HTTP request.
`static void` | `setContextInRequest(ControlContext context, HttpServletRequest request)` Sets the given `ControlContext` in the given HTTP request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

Constructor Detail

### ControlContext

    protected ControlContext(com.bea.netuix.nf.UIControl control)

  Creates a `ControlContext` instance.

Parameters:
  `control` - control

Method Detail

### getControl

    protected com.bea.netuix.nf.UIControl getControl()

  Returns the control associated with this context.

  Returns:
    control

### getUniqueId

    public String getUniqueId()

  Returns a unique ID for this context.

  Note that the unique ID may change across requests.

  Returns:
    unique ID

### setContextInRequest

    public static void setContextInRequest(ControlContext context,
                                           HttpServletRequest request)

  Sets the given `ControlContext` in the given HTTP request.

  Parameters:
    `context` - context
    `request` - HTTP request

### removeContextFromRequest

    public static void removeContextFromRequest(ControlContext context,
                                                HttpServletRequest request)

  Removes the given `ControlContext` from the given HTTP request.

  Parameters:
    `context` - context
    `request` - HTTP request

### getContextFromRequest

    public static ControlContext getContextFromRequest(Class type,
                                                       HttpServletRequest request)

  Returns `ControlContext` for the given HTTP request.

  Parameters:
    `type` - type of control context
    `request` - HTTP request
  Returns:
    control context

### getRequestKey

    protected static String getRequestKey(Class type)

  Returns a key for given control context.

  Parameters:
    `type` - type of control context
  Returns:
    key

### getContextKey

    protected String getContextKey()

  Returns the context key. Subclasses may override this.

  Returns:
    context key

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved